Skip to main content
POST
Create a Pending Charge

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

dryrun
boolean
default:false

Boolean flag that, if set to true, will return the updated Subscription, without recording the result in the Subscribe database.

campaign_code
string

Optional Coupon or Promotion Code, used to obtain a discount on this charge.

Body

application/json

JSON A full Time Charge object.

object
enum<string>

Value is “Charge”

Available options:
Charge
vid
string

A Globally Unique Identifier (GUID) for this object. This value is generated by Vindicia.

Maximum string length: 128
subscription
object

The subscription to which this addition applies

invoice
object
description
string

A description of the charge. This is a free-form string of 256 or fewer characters.

product
object

Product used to determine charge amount added to Subscription.

tax_classification
string

Tax classification for charge. This field is required UNLESS the price is to be based on the Product, (in which case the tax classification can be based on the associated Product tax classification.

amount
number<float>

Amount to charge. This field is required UNLESS the price is to be based on the Product.

currency
enum<string>

ISO 4217 currency code for amount. Either token, OR currency must be specified.

Available options:
Currency
token
object

Token associated with amount (if this is a Token-based Subscription). Either token, OR currency must be specified.

quantity
number<int32>

Optional value to be included in charge. Defaults to 1, if not specified.

discount
number<float>

Calculated discount amount. Only supported for Stackable Discounts.

subtotal
number<float>

Calculated subtotal. This is considered to be the taxable amount. Only supported for Stackable Discounts.

tax_total
number<float>

Calculated tax total. Only supported for Stackable Discounts.

total
number<float>

Calculated total amount which includes subtotal, tax and discounts. Only supported for Stackable Discounts.

item_discounts
object[]

Only supported for Stackable Discounts.

discount_tickets
object[]

Input list of DiscountTickets to apply to this Charge.. Only supported for Stackable Discounts.

Response

JSON A full Charge object.

object
enum<string>

Value is “Charge”

Available options:
Charge
vid
string

A Globally Unique Identifier (GUID) for this object. This value is generated by Vindicia.

Maximum string length: 128
subscription
object

The subscription to which this addition applies

invoice
object
description
string

A description of the charge. This is a free-form string of 256 or fewer characters.

product
object

Product used to determine charge amount added to Subscription.

tax_classification
string

Tax classification for charge. This field is required UNLESS the price is to be based on the Product, (in which case the tax classification can be based on the associated Product tax classification.

amount
number<float>

Amount to charge. This field is required UNLESS the price is to be based on the Product.

currency
enum<string>

ISO 4217 currency code for amount. Either token, OR currency must be specified.

Available options:
Currency
token
object

Token associated with amount (if this is a Token-based Subscription). Either token, OR currency must be specified.

quantity
number<int32>

Optional value to be included in charge. Defaults to 1, if not specified.

discount
number<float>

Calculated discount amount. Only supported for Stackable Discounts.

subtotal
number<float>

Calculated subtotal. This is considered to be the taxable amount. Only supported for Stackable Discounts.

tax_total
number<float>

Calculated tax total. Only supported for Stackable Discounts.

total
number<float>

Calculated total amount which includes subtotal, tax and discounts. Only supported for Stackable Discounts.

item_discounts
object[]

Only supported for Stackable Discounts.

discount_tickets
object[]

Input list of DiscountTickets to apply to this Charge.. Only supported for Stackable Discounts.